org.apache.activemq.artemis.jms.client

## Class ActiveMQQueueConnectionFactory

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory
  - - org.apache.activemq.artemis.jms.client.ActiveMQQueueConnectionFactory

- All Implemented Interfaces:
    Externalizable, Serializable, AutoCloseable, javax.jms.ConnectionFactory, javax.jms.QueueConnectionFactory, javax.jms.XAConnectionFactory, Referenceable, ConnectionFactoryOptions

      public class ActiveMQQueueConnectionFactory
      extends ActiveMQConnectionFactory
      implements javax.jms.QueueConnectionFactory

  ActiveMQ Artemis implementation of a JMS ConnectionFactory.

  This connection factory will use defaults defined by `DefaultConnectionProperties`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQQueueConnectionFactory()`
    `ActiveMQQueueConnectionFactory(boolean ha, DiscoveryGroupConfiguration groupConfiguration)`
    `ActiveMQQueueConnectionFactory(boolean ha, TransportConfiguration... initialConnectors)`
    `ActiveMQQueueConnectionFactory(ServerLocator serverLocator)`
    `ActiveMQQueueConnectionFactory(String url)`
    `ActiveMQQueueConnectionFactory(String url, String user, String password)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFactoryType()`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory

      `close, createConnection, createConnection, createConnectionInternal, createContext, createContext, createContext, createContext, createQueueConnection, createQueueConnection, createTopicConnection, createTopicConnection, createXAConnection, createXAConnection, createXAContext, createXAContext, createXAQueueConnection, createXAQueueConnection, createXATopicConnection, createXATopicConnection, finalize, getCallFailoverTimeout, getCallTimeout, getClientFailureCheckPeriod, getClientID, getConfirmationWindowSize, getConnectionLoadBalancingPolicyClassName, getConnectionTTL, getConsumerMaxRate, getConsumerWindowSize, getDeserializationBlackList, getDeserializationWhiteList, getDiscoveryGroupConfiguration, getDupsOKBatchSize, getGroupID, getIncomingInterceptorList, getInitialConnectAttempts, getInitialMessagePacketSize, getMaxRetryInterval, getMinLargeMessageSize, getOutgoingInterceptorList, getPassword, getProducerMaxRate, getProducerWindowSize, getProtocolManagerFactoryStr, getReconnectAttempts, getReference, getRetryInterval, getRetryIntervalMultiplier, getScheduledThreadPoolMaxSize, getServerLocator, getStaticConnectors, getThreadPoolMaxSize, getTransactionBatchSize, getUser, isAutoGroup, isBlockOnAcknowledge, isBlockOnDurableSend, isBlockOnNonDurableSend, isCacheLargeMessagesClient, isCompressLargeMessage, isFailoverOnInitialConnection, isHA, isPreAcknowledge, isUseGlobalPools, readExternal, setAutoGroup, setBlockOnAcknowledge, setBlockOnDurableSend, setBlockOnNonDurableSend, setCacheLargeMessagesClient, setCallFailoverTimeout, setCallTimeout, setClientFailureCheckPeriod, setClientID, setCompressLargeMessage, setConfirmationWindowSize, setConnectionLoadBalancingPolicyClassName, setConnectionTTL, setConsumerMaxRate, setConsumerWindowSize, setDeserializationBlackList, setDeserializationWhiteList, setDupsOKBatchSize, setFailoverOnInitialConnection, setGroupID, setIncomingInterceptorList, setInitialConnectAttempts, setInitialMessagePacketSize, setMaxRetryInterval, setMinLargeMessageSize, setOutgoingInterceptorList, setPassword, setPreAcknowledge, setProducerMaxRate, setProducerWindowSize, setProtocolManagerFactoryStr, setReconnectAttempts, setRetryInterval, setRetryIntervalMultiplier, setScheduledThreadPoolMaxSize, setThreadPoolMaxSize, setTransactionBatchSize, setUseGlobalPools, setUser, toString, toURI, writeExternal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.QueueConnectionFactory

      `createQueueConnection, createQueueConnection`

    - ### Methods inherited from interface javax.jms.ConnectionFactory

      `createConnection, createConnection, createContext, createContext, createContext, createContext`

- - ### Constructor Detail

    - #### ActiveMQQueueConnectionFactory

          public ActiveMQQueueConnectionFactory()

    - #### ActiveMQQueueConnectionFactory

          public ActiveMQQueueConnectionFactory(String url)

    - #### ActiveMQQueueConnectionFactory

          public ActiveMQQueueConnectionFactory(ServerLocator serverLocator)

    - #### ActiveMQQueueConnectionFactory

          public ActiveMQQueueConnectionFactory(boolean ha,
                                                DiscoveryGroupConfiguration groupConfiguration)

    - #### ActiveMQQueueConnectionFactory

          public ActiveMQQueueConnectionFactory(String url,
                                                String user,
                                                String password)

    - #### ActiveMQQueueConnectionFactory

          public ActiveMQQueueConnectionFactory(boolean ha,
                                                TransportConfiguration... initialConnectors)

  - ### Method Detail

    - #### getFactoryType

          public int getFactoryType()

      Overrides:
        `getFactoryType` in class `ActiveMQConnectionFactory`

Copyright © 2017. All rights reserved.